#slide-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
    margin: auto;
}

#background-blur {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 82%;
    z-index: -1;
    background-size: cover;
    background-position: center;
    filter: blur(60px);
    background-attachment: fixed;
}

#image-container {
    position: relative;
    width: 100%;
    margin-bottom: 10px;
    z-index: 1;
}

#featured-container {
    width: 100%;
    height: 500px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    margin-top: 25px;
}

#featured {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    border: 2px solid #CCCCCC;
    transform: translateX(0);
    transition: transform 0s ease-in-out;
}

.arrow {
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    font-size: 2em;
    color: rgba(255, 255, 255, 1);
    transition: color 0.3s ease, font-size 0.3s ease, background 0.3s ease;
}

.arrow:hover {
    color: rgba(255, 255, 255, 1);
    font-size: 2.2em;
    background: rgba(0, 0, 0, 0.7);
}

#slideLeft {
    left: 10px;
}

#slideRight {
    right: 10px;
}

#slider-wrapper {
    display: flex;
    justify-content: center;
    width: 100%;
}

#slider {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    margin-top: 10px;
    z-index: 1;
    max-width: 100%;
}

.thumbnail {
    width: 150px;
    height: 100px;
    margin: 8px;
    padding: 2px;
    cursor: pointer;
    transition: transform 0.3s ease;
    border: 0.5px solid #CCCCCC;
    object-fit: cover;
}

.thumbnail.active,
.thumbnail:hover {
    transform: scale(1.1);
}

.thumbnail.active {
    background-color: #AA9981;
}

@media (max-width: 1200px) {
    #featured-container {
        height: 400px;
    }
}

@media (max-width: 992px) {
    #featured-container {
        height: 300px;
    }
}

@media (max-width: 768px) {
    #featured-container {
        height: 200px;
    }
    .arrow {
        width: 40px;
        height: 40px;
        font-size: 1.8em;
    }
    .arrow:hover {
        font-size: 2em;
    }
    .thumbnail {
        width: 18vw;
        height: 12vw;
        padding: 0px;
        border: 2px solid #CCCCCC;
    }
}

.fade-out {
    opacity: 0;
}